## optuna 2.10.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Optuna
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

doctest:
	sphinx-autogen source/**/*.rst
	@$(SPHINXBUILD) -M doctest "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Copy from https://sphinx-gallery.github.io/stable/advanced.html#cleaning-the-gallery-files
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf source/reference/generated/
	rm -rf source/reference/multi_objective/generated/
	rm -rf source/reference/visualization/generated/
	rm -rf source/tutorial/
	rm -f ../tutorial/**/*.db

=== debian/changelog ===
optuna (2.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Add watch file.
  * Add upstream metadata file.
  * Add autopkgtests.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 10 Jul 2022 15:33:01 +0200

optuna (2.10.0-1) unstable; urgency=medium

  * Initial release (Closes: #1013338)

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 09 Jul 2022 14:54:17 +0200

=== debian/control ===
Source: optuna
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-alembic,
               python3-all,
               python3-cliff,
               python3-cmaes (>= 0.8.2),
               python3-colorlog,
               python3-numpy,
               python3-scipy (>= 1.7.0),
               python3-setuptools,
               python3-sqlalchemy (>= 1.1.0),
               python3-tqdm,
               python3-typing-extensions,
               python3-yaml
Rules-Requires-Root: no
Homepage: https://optuna.org/
Vcs-Browser: https://salsa.debian.org/gspr/optuna
Vcs-Git: https://salsa.debian.org/gspr/optuna.git -b debian/sid

Package: python3-optuna
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Hyperparameter optimization framework
 Optuna is a Python library for hyperparameter (or other "black box")
 optimization. Being framework-independent, it works with a variety of
 deep learning frameworks.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME = optuna

%:
	dh $@ --with numpy3,python3 --buildsystem=pybuild

override_dh_auto_test:

=== debian/tests/control ===
Tests: upstream-main.sh
Depends: python3-all, python3-fakeredis, python3-optuna, python3-pandas, python3-plotly, python3-pytest, python3-sklearn
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    uversionmangle=s/-a/~a/; s/-b/~b/" \
    https://github.com/optuna/optuna/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## optuna 3.0.0

=== debian/changelog ===
optuna (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Declare upstream incompatibility with SciPy 1.9 for now.
  * Watch file no longer prefers release candidate.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 30 Aug 2022 18:07:49 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-cmaes (>= 0.8.2),
                python3-colorlog,
                python3-numpy,
-               python3-scipy (>= 1.7.0),
+               python3-scipy (>= 1.7.0), python3-scipy (<< 1.9.0),
                python3-setuptools,
                python3-sqlalchemy (>= 1.1.0),
                python3-tqdm,

## optuna 3.0.3

=== debian/changelog ===
optuna (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)depend on python3-importlib-metadata.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 13 Oct 2022 19:12:03 +0200

optuna (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Demote python3-typing-extensions to Recommends.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 16 Sep 2022 14:34:30 +0200

optuna (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 11 Sep 2022 11:25:34 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                python3-cliff,
                python3-cmaes (>= 0.8.2),
                python3-colorlog,
+               python3-importlib-metadata (<< 5.0.0),
                python3-numpy,
                python3-scipy (>= 1.7.0), python3-scipy (<< 1.9.0),
                python3-setuptools,
                python3-sqlalchemy (>= 1.1.0),
                python3-tqdm,
-               python3-typing-extensions,
                python3-yaml
 Rules-Requires-Root: no
 Homepage: https://optuna.org/
@@ -27,6 +27,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Recommends: python3-typing-extensions
 Description: Hyperparameter optimization framework
  Optuna is a Python library for hyperparameter (or other "black box")
  optimization. Being framework-independent, it works with a variety of

## optuna 3.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -27,7 +27,6 @@
 clean:
 	rm -rf $(BUILDDIR)/*
 	rm -rf source/reference/generated/
-	rm -rf source/reference/multi_objective/generated/
 	rm -rf source/reference/visualization/generated/
 	rm -rf source/tutorial/
 	rm -f ../tutorial/**/*.db

=== debian/changelog ===
optuna (3.1.0-4) unstable; urgency=medium

  * Add hacky patch to work around flaky tests due to timing issues. The
    patch does not fix upstream's incorrect assumptions about wall time,
    but does significantly lower the probability of autopkgtests
    incorrectly failing. (Closes: #1031706)

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 25 Feb 2023 16:25:29 +0100

optuna (3.1.0-3) unstable; urgency=medium

  * Add missing d/copyright information for two files newly added
    upstream.
  * Add several suggested packages, for e.g. plotting.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 08 Feb 2023 16:24:15 +0100

optuna (3.1.0-2) unstable; urgency=medium

  * Give explicit architecture list for autopkgtests. Exclude ppc64el from
    that list, as test-dependency python3-lupa is missing there.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 02 Feb 2023 21:36:04 +0100

optuna (3.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop python3-import-metadata build-dep.
  * Bump the required python3-cmaes version.
  * Update copyright ranges.
  * Add python3-lupa dependency for autopkgtests.
  * Ignore some more tests with unavailable dependencies.
  * Drop python3-scipy build-dep, only used for skipped build-time
    tests. (Closes: #1030110)

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 31 Jan 2023 21:02:25 +0100

optuna (3.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Standards-version 4.6.2. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 03 Jan 2023 16:40:40 +0100

optuna (3.0.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove dependency version constraints not needed since buster.

  [ Gard Spreemann ]
  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 01 Dec 2022 20:43:43 +0100

=== debian/control ===
Source: optuna
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-alembic,
               python3-all,
               python3-cliff,
               python3-cmaes (>= 0.9.1),
               python3-colorlog,
               python3-numpy,
               python3-setuptools,
               python3-sqlalchemy,
               python3-tqdm,
               python3-yaml
Rules-Requires-Root: no
Homepage: https://optuna.org/
Vcs-Browser: https://salsa.debian.org/gspr/optuna
Vcs-Git: https://salsa.debian.org/gspr/optuna.git -b debian/sid

Package: python3-optuna
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: python3-typing-extensions
Suggests: python3-matplotlib,
          python3-pandas,
          python3-plotly,
          python3-redis,
          python3-sklearn
Description: Hyperparameter optimization framework
 Optuna is a Python library for hyperparameter (or other "black box")
 optimization. Being framework-independent, it works with a variety of
 deep learning frameworks.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,3 @@
 	dh $@ --with numpy3,python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-

=== debian/tests/control ===
Tests: upstream-main.sh
Depends: python3-all, python3-fakeredis, python3-lupa, python3-optuna, python3-pandas, python3-plotly, python3-pytest, python3-sklearn
Architecture: amd64 arm64 armel armhf i386 s390x
Restrictions: allow-stderr

## optuna 3.2.0

=== docs/Makefile ===
--- 
+++ 
@@ -28,5 +28,6 @@
 	rm -rf $(BUILDDIR)/*
 	rm -rf source/reference/generated/
 	rm -rf source/reference/visualization/generated/
-	rm -rf source/tutorial/
+	rm -rf source/tutorial/10_key_features
+	rm -rf source/tutorial/20_recipes
 	rm -f ../tutorial/**/*.db

=== debian/changelog ===
optuna (3.2.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.
  * Adapt to using the pyproject pybuild system, to reflect upstream's new
    way of building.
  * Don't run terminator tests, as they require an unavailable dependency
    (botorch).

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 24 Jun 2023 12:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-alembic,
                python3-all,
                python3-cliff,

## optuna 3.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -31,3 +31,6 @@
 	rm -rf source/tutorial/10_key_features
 	rm -rf source/tutorial/20_recipes
 	rm -f ../tutorial/**/*.db
+	rm -rf ../tutorial/20_recipes/artifacts
+	rm -rf ../tutorial/20_recipes/tmp
+	rm -rf ../tutorial/20_recipes/best_atoms.png

=== debian/changelog ===
optuna (3.5.0-2) unstable; urgency=medium

  * Drop python3-cmaes build-dependencies.
  * Add Suggests on python3-boto3 and python3-cmaes.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 09 Jan 2024 20:40:22 +0100

optuna (3.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 17 Dec 2023 13:40:13 +0100

optuna (3.3.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patch.
  * Bump minimum CMA-ES version.
  * Ignore some new tests that might require external infrastructure.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 27 Aug 2023 13:43:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                python3-alembic,
                python3-all,
                python3-cliff,
-               python3-cmaes (>= 0.9.1),
                python3-colorlog,
                python3-numpy,
                python3-setuptools,
@@ -27,7 +26,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-typing-extensions
-Suggests: python3-matplotlib,
+Suggests: python3-boto3,
+          python3-cmaes (>= 0.10.0),
+          python3-matplotlib,
           python3-pandas,
           python3-plotly,
           python3-redis,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    uversionmangle=s/-a/~a/; s/-b/~b/; s/-rc/~rc/" \
    https://github.com/optuna/optuna/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## optuna 3.6.1

=== docs/Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	rm -rf $(BUILDDIR)/*
 	rm -rf source/reference/generated/
 	rm -rf source/reference/visualization/generated/
+	rm source/sg_execution_times.rst
 	rm -rf source/tutorial/10_key_features
 	rm -rf source/tutorial/20_recipes
 	rm -f ../tutorial/**/*.db

=== debian/changelog ===
optuna (3.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Integration modules have been moved out to a separate project
      upstream. This project is not yet in Debian.
  * Don't ignore integration tests since they no longer exist.
  * Ignore new test that depends on PyTorch.
  * Update copyright ranges.
  * Standards-version 4.7.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 01 May 2024 12:31:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,

## optuna 4.1.0

=== docs/Makefile ===
--- 
+++ 
@@ -26,12 +26,13 @@
 # Copy from https://sphinx-gallery.github.io/stable/advanced.html#cleaning-the-gallery-files
 clean:
 	rm -rf $(BUILDDIR)/*
-	rm -rf source/reference/generated/
-	rm -rf source/reference/visualization/generated/
-	rm source/sg_execution_times.rst
+	find source -type d -name generated -prune -exec rm -rf {} \;
+	rm -f source/sg_execution_times.rst
 	rm -rf source/tutorial/10_key_features
 	rm -rf source/tutorial/20_recipes
 	rm -f ../tutorial/**/*.db
+	rm -f ../tutorial/**/*.log
 	rm -rf ../tutorial/20_recipes/artifacts
+	rm -f ../tutorial/20_recipes/journal.log
 	rm -rf ../tutorial/20_recipes/tmp
-	rm -rf ../tutorial/20_recipes/best_atoms.png
+	rm -f ../tutorial/20_recipes/best_atoms.png

=== debian/changelog ===
optuna (4.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 08 Feb 2025 20:20:12 +0100

optuna (3.6.1-2) unstable; urgency=medium

  * Bug #1088735 only affects tests. Remove tests for now so that we can
    lower the severity of that bug.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 20 Jan 2025 16:43:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                pybuild-plugin-pyproject,
                python3-alembic,
                python3-all,
-               python3-cliff,
                python3-colorlog,
                python3-numpy,
                python3-setuptools,
@@ -32,7 +31,8 @@
           python3-pandas,
           python3-plotly,
           python3-redis,
-          python3-sklearn
+          python3-sklearn,
+          python3-scipy
 Description: Hyperparameter optimization framework
  Optuna is a Python library for hyperparameter (or other "black box")
  optimization. Being framework-independent, it works with a variety of

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME = optuna
+export PYBUILD_SYSTEM = pyproject
 
 %:
 	dh $@ --with numpy3,python3 --buildsystem=pybuild
